Page MenuHomePhabricator

Introduce forward declarations
ClosedPublic

Authored by rodgert on Mar 7 2019, 5:38 PM.

Details

Summary

Necessary when pstl is included from within <algorithm> and <numeric>
to prevent a partially declared standard library when pstl itself uses
things from <algorithm> and <numeric>

Event Timeline

rodgert created this revision.Mar 7 2019, 5:38 PM
ldionne accepted this revision.Mar 12 2019, 7:42 AM
This revision is now accepted and ready to land.Mar 12 2019, 7:42 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 28 2019, 10:21 AM